<div *ngIf="!loading">

  <kendo-grid [kendoGridBinding]="dataGrid"
              [selectable]="true"
              [filter]="filter"
              [filterable]="true"
              [navigable]="true"
              [reorderable]="true"
              [resizable]="true"
              [sortable]="true"
              (selectionChange)="selectRow($event)"
              [pageSize]="pageSize"
              [skip]="skip"
              [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}"
              style="height: 60vh;" class="mt-1">
      <kendo-grid-column field="exten" title="Extensión" width="70" class="text-right"></kendo-grid-column>
      <kendo-grid-column field="Descripcion" title="Descripción" width="250"></kendo-grid-column>
      <kendo-grid-column field="Grupo" title="Grupo" width="70" class="text-right"></kendo-grid-column>
      <kendo-grid-column field="Depto" title="Departamento" width="70" class="text-right"></kendo-grid-column>
      <kendo-grid-column field="cuarto" title="Cuarto" width="80"></kendo-grid-column>
      <kendo-grid-column field="NoFolio" title="# Folio" width="80" class="text-right"></kendo-grid-column>
      <kendo-grid-column field="Tipo" title="Tipo" width="70"></kendo-grid-column>
      <kendo-grid-column field="Desviacion" title="Desvio" width="80" class="text-right"></kendo-grid-column>
  </kendo-grid>
</div>

<app-loading *ngIf="loading"></app-loading>

